Bug 217155 - Openoffice Crash opening files
Openoffice Crash opening files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
6
x86_64 Linux
medium Severity urgent
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-24 08:30 EST by Marcos Ferreira da Silva
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.0.4-5.5.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 05:27:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcos Ferreira da Silva 2006-11-24 08:30:00 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. I open an existent spreadsheet that I had open.
2.
3.
  
Actual results:


Expected results:


Additional info:

(I)    x.org loaded video driver of...
(III)  Desktop is: not GNOME
(IV)   libgcj version is: libgcj-4.1.1-30-x86_64
(V)    kernel is: Linux 2.6.18-1.2849.fc6 #1 SMP Fri Nov 10 12:34:46 EST 2006
x86_64 x86_64 x86_64
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.0.4-5.5.3-x86_64
(VII)  depth of root window:    24 planes
(VIII) accessibility is: false
(VIV)  fedora release is: Fedora Core release 6 (Zod)
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   permissive
Mode from config file:          error (Inappropriate ioctl for device)
Policy version:                 21
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0xfa836708: /usr/lib64/openoffice.org2.0/program/libuno_sal.so.3 + 0x36708
0xfa83718b: /usr/lib64/openoffice.org2.0/program/libuno_sal.so.3 + 0x3718b
0x71a30210: /lib64/libc.so.6 + 0x30210
0xfd8c76d1: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0xc76d1
(Application::RemoveUserEvent(unsigned long) + 0x11)
0x251b650: /usr/lib64/openoffice.org2.0/program/libsvx680lx.so + 0x91b650
0xff49a634: /usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0x29a634
(SfxDispatcher::FlushImpl() + 0x234)
0xff45b4f0: /usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0x25b4f0
(SfxViewShell::RemoveSubShell(SfxShell*) + 0x110)
0x509198f: /usr/lib64/openoffice.org2.0/program/libsc680lx.so + 0x29198f
(ScTabViewShell::SetCurSubShell(ObjectSelectionType, unsigned char) + 0x19f)
0x50926f9: /usr/lib64/openoffice.org2.0/program/libsc680lx.so + 0x2926f9
0xff3dd936: /usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0x1dd936
0xff489255: /usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0x289255
(SfxTopFrame::InsertDocument(SfxObjectShell*) + 0x5d5)
0xff4629c8: /usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0x2629c8
0x2db34e8: /usr/lib64/openoffice.org2.0/program/libfwk680lx.so + 0x1b34e8
0x2db3c61: /usr/lib64/openoffice.org2.0/program/libfwk680lx.so + 0x1b3c61
0x2db4190: /usr/lib64/openoffice.org2.0/program/libfwk680lx.so + 0x1b4190
0x2c6ac7f: /usr/lib64/openoffice.org2.0/program/libfwk680lx.so + 0x6ac7f
0x324179c: /usr/lib64/openoffice.org2.0/program/libsoffice.so + 0x4179c
(desktop::DispatchWatcher::executeDispatchRequests(_STL::vector<desktop::DispatchWatcher::DispatchRequest,
_STL::allocator<desktop::DispatchWatcher::DispatchRequest> > const&) + 0x166c)
0x3235438: /usr/lib64/openoffice.org2.0/program/libsoffice.so + 0x35438
(desktop::OfficeIPCThread::ExecuteCmdLineRequests(desktop::ProcessDocumentsRequest&)
+ 0x148)
0x3230483: /usr/lib64/openoffice.org2.0/program/libsoffice.so + 0x30483
(desktop::Desktop::OpenClients() + 0x12a3)
0x32315ce: /usr/lib64/openoffice.org2.0/program/libsoffice.so + 0x315ce
(desktop::Desktop::OpenClients_Impl(void*) + 0x3e)
0xfda99b81: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0x299b81
0xaed14ee7: /usr/lib64/openoffice.org2.0/program/libvclplug_gen680lx.so +
0x57ee7 (SalDisplay::DispatchInternalEvent() + 0xb7)
0xaea71076: /usr/lib64/openoffice.org2.0/program/libvclplug_gtk680lx.so + 0x16076
0x7662cf44: /lib64/libglib-2.0.so.0 + 0x2cf44 (g_main_context_dispatch + 0x1b4)
0x7662fd7d: /lib64/libglib-2.0.so.0 + 0x2fd7d
0x766302ae: /lib64/libglib-2.0.so.0 + 0x302ae (g_main_context_iteration + 0x6e)
0xaea72a9b: /usr/lib64/openoffice.org2.0/program/libvclplug_gtk680lx.so + 0x17a9b
0xfd8c8d11: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0xc8d11
(Application::Yield(bool) + 0x51)
0xfd8c8daa: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0xc8daa
(Application::Execute() + 0x2a)
0x322bd15: /usr/lib64/openoffice.org2.0/program/libsoffice.so + 0x2bd15
(desktop::Desktop::Main() + 0x15a5)
0xfd8ce4d9: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0xce4d9
0xfd8ce5c5: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0xce5c5
(SVMain() + 0x25)
0x321ed36: /usr/lib64/openoffice.org2.0/program/libsoffice.so + 0x1ed36
(sal_main + 0x46)
0x71a1da44: /lib64/libc.so.6 + 0x1da44 (__libc_start_main + 0xf4)
0x400619: /usr/lib64/openoffice.org2.0/program/scalc.bin + 0x619
...end stackreport details ...
...start sample ldd details ...
	libuno_sal.so.3 => /usr/lib64/openoffice.org2.0/program/libuno_sal.so.3
(0x00002aaaaaccd000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib64/openoffice.org2.0/program/libuno_salhelpergcc3.so.3 (0x00002aaaab0c2000)
	libstore.so.3 => /usr/lib64/openoffice.org2.0/program/libstore.so.3
(0x00002aaaab2c6000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00002aaaab4f2000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00002aaaab6f6000)
	libstlport_gcc.so => /usr/lib64/openoffice.org2.0/program/libstlport_gcc.so
(0x00002aaaab910000)
	libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00002aaaabbea000)
	libm.so.6 => /lib64/libm.so.6 (0x00002aaaabeec000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00002aaaac16f000)
	libc.so.6 => /lib64/libc.so.6 (0x00002aaaac37d000)
	libcrypt.so.1 => /lib64/libcrypt.so.1 (0x00002aaaac6cb000)
	/lib64/ld-linux-x86-64.so.2 (0x0000555555554000)
...end sample ldd details ...
Comment 1 Caolan McNamara 2006-11-24 08:45:13 EST
Can you attach the document that causes this crash ?, or if private, but you
trust me send it to caolanm@redhat.com.

And does it happen every time you open the document ?
Comment 2 Caolan McNamara 2007-01-04 11:12:04 EST
Can you attach the document that causes this crash ?, or if private, but you
trust me send it to caolanm@redhat.com.

And does it happen every time you open the document ?
Comment 3 Caolan McNamara 2007-01-22 05:27:03 EST
If it occurs with >= 2.0.4-5.5.10 then feel free to reopen as not-fixed
Comment 4 regs 2007-05-21 19:39:51 EDT
Update: this appears to not be an openoffice bug, but a deeper bug with the
NVidia driver in this configuration.  This snippet from the strace file:

11052 read(7, "\0\t\3\1/\0\200\2\0\0005\0\230\303\235\10\0\0\0\0\t\0\0"..., 32) 
= 32
11052 exit_group(78)                    = ?
11042 <... waitpid resumed> [{WIFEXITED(s) && WEXITSTATUS(s) == 78}], 0) = 11052

And this error message from glxgears:

X Error of failed request:  BadValue (integer parameter out of range for operation)
  Major opcode of failed request:  78 (X_CreateColormap)
  Value in failed request:  0x0
  Serial number of failed request:  13
  Current serial number in output stream:  19

... seems a little too much of a coincidence (xscreensaver bombs out with a
similar error).
Comment 5 regs 2007-05-21 19:40:35 EDT
Shoot.  I just added that comment to the wrong bug.  Feel free to ignore.

Note You need to log in before you can comment on or make changes to this bug.